curl --request POST \
--url https://api.unibee.dev/merchant/checkout/get_link \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"checkoutId": 123,
"planId": 123
}
'{
"code": 123,
"data": {
"link": "<string>"
},
"merchantId": 123,
"message": "<string>",
"redirect": "<string>",
"requestId": "<string>"
}curl --request POST \
--url https://api.unibee.dev/merchant/checkout/get_link \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"checkoutId": 123,
"planId": 123
}
'{
"code": 123,
"data": {
"link": "<string>"
},
"merchantId": 123,
"message": "<string>",
"redirect": "<string>",
"requestId": "<string>"
}https://api.unibee.dev/merchant/checkout/get_link
Get Merchant Checkout Link
| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer <your_api_key> |
Content-Type | Yes | application/json (for request body) |
| Name | Type | Required | Description |
|---|---|---|---|
checkoutId | integer | Yes | checkout id |
planId | integer | Yes |
curl -X POST "https://api.unibee.dev/merchant/checkout/get_link" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"checkoutId": 0,
"planId": 0
}'
curl -X POST "https://api-sandbox.unibee.top/merchant/checkout/get_link" \
-H "Authorization: Bearer YOUR_SANDBOX_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"checkoutId": 0,
"planId": 0
}'
code, data, message, redirect, and requestId. code 0 indicates success.
| Field | Type | Description |
|---|---|---|
code | integer | Response code. 0 = success |
data | object | Response payload |
data.link | string | Merchant Checkout Link |
message | string | Human-readable message |
requestId | string | Request ID for support |
| HTTP status | Meaning |
|---|---|
| 400 | Bad request — invalid or missing parameters. Check message in the body. |
| 401 | Unauthorized — missing or invalid API key. |
| 404 | Not found — invalid path or resource. |
| 500 | Server error — retry with backoff. |
code in the response body is non-zero, check message for details. Use requestId when contacting support.Bearer authentication header of the form Bearer <token>, where <token> is your auth token.